Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
MinimServer and QNAP 4.3.3.0154
20-04-2017, 13:31
Post: #1
MinimServer and QNAP 4.3.3.0154
Hi,

Just upgraded to QNAP's 4.3.3.0154 firmware and ran their compatibility tool (I know, wrong way round!) and it suggests that MinimServer (and Twonky) are not supported in 4.3.0 onwards... MinimServer and Twonky still run OK just not supported.

I guess I can keep using it without any issues? It's been my favourite music server for a long time now!

Kind regards
Find all posts by this user
Quote this message in a reply
20-04-2017, 14:06
Post: #2
RE: MinimServer and QNAP 4.3.3.0154
Where is this compatibility tool? Which model of QNAP do you have?
Find all posts by this user
Quote this message in a reply
20-04-2017, 14:27
Post: #3
RE: MinimServer and QNAP 4.3.3.0154
I haven't installed the latest release yet but just noticed this on their release notes:

Quote:[i]- Important: QTS 4.3.x runs on a 64-bit system architecture and may not support some 32-bit applications. To check if installed apps on your NAS are compatible with QTS 4.3.x,
download the QTS 64-bit compatibility tool and install it on your current QTS build.(http://download.qnap.com/QPKG/CF64_0.1-1114.qpkg.zip)
- QTS 4.3.x is the final available firmware update for the following models:
TS-112P, TS-212P, TS-212-E, HS-210, TS-112, TS-212, TS-121, TS-221, TS-421 TS-120, TS-220, TS-420, TS-420U, TS-421U TS-412, TS-412U, TS-419U, TS-419U ,
TS-419U II, TS-119P II, TS-219P II, TS-419P II, TS-119P , TS-219P , TS-419P , TS-119P, TS-219P, TS-419P, TS-119, TS-219, TS-419
- The release of QTS operating system for the models that are not included in the support list will be coming soon. For the status of QTS updates and maintenance for your NAS model,
visit https://www.qnap.com/en/product/eol.php[/i]

I have the TS421 and so I guess that means that is it in terms of future development. Not totally sure what that means yet though.

Would be interested to know if there are implications for minimserver. I currently use the Melco with minimserver for the daily music serving but have library copies on the TS421 plus its a backup server with minimserver installed just in case there is any issue. Thanks.
Find all posts by this user
Quote this message in a reply
20-04-2017, 15:46
Post: #4
RE: MinimServer and QNAP 4.3.3.0154
It's only an issue if Minimserver suddenly requires a JRE that isn't backwards compatible with whatever version you have and QNAP have removed the package support for it - like they did with Optware!

That said, there are still people out there compiling various packages that QNAP have dropped and it's just a matter of finding the right one for your architecture. My TS419 is still running 3.8.3 FW quite happily (I hate QTS with a passion), plus I still have ipkg support. Smile
Find all posts by this user
Quote this message in a reply
20-04-2017, 15:49 (This post was last modified: 20-04-2017 15:49 by simoncn.)
Post: #5
RE: MinimServer and QNAP 4.3.3.0154
Thanks for the clarification about the 64-bit compatibility tool. This applies only to Intel models, not the TS-421 that you have. Also, the latest version of MinimServer for QNAP (version 0.8.4.5) supports both 32-bit and 64-bit Intel models, so MinimServer will continue to be fully supported for all NAS models on QTS 4.3.3 and later versions.
Find all posts by this user
Quote this message in a reply
20-04-2017, 16:22
Post: #6
RE: MinimServer and QNAP 4.3.3.0154
I just did this upgrade.

Minimserver was stop; but after updating all (including Java), I just restarted minimserver and all was fine !
Find all posts by this user
Quote this message in a reply
20-04-2017, 17:48
Post: #7
RE: MinimServer and QNAP 4.3.3.0154
(20-04-2017 15:49)simoncn Wrote:  Thanks for the clarification about the 64-bit compatibility tool. This applies only to Intel models, not the TS-421 that you have. Also, the latest version of MinimServer for QNAP (version 0.8.4.5) supports both 32-bit and 64-bit Intel models, so MinimServer will continue to be fully supported for all NAS models on QTS 4.3.3 and later versions.

Thanks Simon - phew Smile
Find all posts by this user
Quote this message in a reply
24-04-2017, 13:59
Post: #8
RE: MinimServer and QNAP 4.3.3.0154
(20-04-2017 17:48)Martin H Wrote:  
(20-04-2017 15:49)simoncn Wrote:  Thanks for the clarification about the 64-bit compatibility tool. This applies only to Intel models, not the TS-421 that you have. Also, the latest version of MinimServer for QNAP (version 0.8.4.5) supports both 32-bit and 64-bit Intel models, so MinimServer will continue to be fully supported for all NAS models on QTS 4.3.3 and later versions.

Thanks Simon - phew Smile

I have an HS-210 --- ran the compatibility check and concerned if i upgrade it will break Minim? (i've just installed it!)

thanks!
Find all posts by this user
Quote this message in a reply
24-04-2017, 16:18
Post: #9
RE: MinimServer and QNAP 4.3.3.0154
The HS-210 is an ARM model and is not affected by the 64-bit Intel change in QTS 4.3.3. Which compatibilty tool are you running? Can you post a screenshot showing the output?
Find all posts by this user
Quote this message in a reply
24-04-2017, 16:54 (This post was last modified: 24-04-2017 17:11 by rich_y.)
Post: #10
RE: MinimServer and QNAP 4.3.3.0154
(24-04-2017 16:18)simoncn Wrote:  The HS-210 is an ARM model and is not affected by the 64-bit Intel change in QTS 4.3.3. Which compatibilty tool are you running? Can you post a screenshot showing the output?


the tool is "CF64": it came down as an automated install

The output is:
The following apps are not supported in current QTS 4.3.0.
Please double confirm before updating you NAS firmware.
App: TwonkyMedia
App: MinimServer
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)